package sicura.entities;
// Generated 2-lug-2017 12.21.35 by Hibernate Tools 5.2.3.Final

import javax.ejb.Stateless;
import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;
import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

/**
 * Home object for domain model class FunzioniOrdinanti.
 * @see sicura.entities.FunzioniOrdinanti
 * @author Hibernate Tools
 */
@Stateless
public class FunzioniOrdinantiHome {

	private static final Log log = LogFactory.getLog(FunzioniOrdinantiHome.class);

	@PersistenceContext
	private EntityManager entityManager;

	public void persist(FunzioniOrdinanti transientInstance) {
		log.debug("persisting FunzioniOrdinanti instance");
		try {
			entityManager.persist(transientInstance);
			log.debug("persist successful");
		} catch (RuntimeException re) {
			log.error("persist failed", re);
			throw re;
		}
	}

	public void remove(FunzioniOrdinanti persistentInstance) {
		log.debug("removing FunzioniOrdinanti instance");
		try {
			entityManager.remove(persistentInstance);
			log.debug("remove successful");
		} catch (RuntimeException re) {
			log.error("remove failed", re);
			throw re;
		}
	}

	public FunzioniOrdinanti merge(FunzioniOrdinanti detachedInstance) {
		log.debug("merging FunzioniOrdinanti instance");
		try {
			FunzioniOrdinanti result = entityManager.merge(detachedInstance);
			log.debug("merge successful");
			return result;
		} catch (RuntimeException re) {
			log.error("merge failed", re);
			throw re;
		}
	}

	public FunzioniOrdinanti findById(Integer id) {
		log.debug("getting FunzioniOrdinanti instance with id: " + id);
		try {
			FunzioniOrdinanti instance = entityManager.find(FunzioniOrdinanti.class, id);
			log.debug("get successful");
			return instance;
		} catch (RuntimeException re) {
			log.error("get failed", re);
			throw re;
		}
	}
}
